# class Promise<T>

#### package lime.app

Available on all platforms

### Constructor

###

`new ()`

### Variables

###

`read onlyfuture:Future<T>`

###

`read onlyisComplete:Bool`

###

`read onlyisError:Bool`

### Methods

###

`complete (data:T):Promise<T>`

###

`completeWith (future:Future<T>):Promise<T>`

###

`error (msg:Dynamic):Promise<T>`

###

`progress (progress:Int, total:Int):Promise<T>`